# Method: services.serviceLevelObjectives.create

- [HTTP request](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives/create#body.request_body)
- [Response body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives/create#try-it)

Create a `ServiceLevelObjective` for the given `Service`.

### HTTP request

`POST https://monitoring.googleapis.com/v3/{parent}/serviceLevelObjectives`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of the parent `Service`. The format is: projects/[PROJECT_ID_OR_NUMBER]/services/[SERVICE_ID] |

### Query parameters

| Parameters ||
|---|---|
| `serviceLevelObjectiveId` | `string` Optional. The ServiceLevelObjective id to use for this ServiceLevelObjective. If omitted, an id will be generated instead. Must match the pattern `^[a-zA-Z0-9-_:.]+$` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives#ServiceLevelObjective`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives#ServiceLevelObjective`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/monitoring`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).